function Chord_Transcription(fileInput,dirOutput)

%% Parameters

mode=0;
K={'maj','min'};
harmoniques=1;
distance={'gam'};
L=15;
lissage=1;

tic


[songs] = textread(fileInput, '%s','delimiter','\n');
N_song=length(songs);




for i_song=1:N_song
    [pathstr, name, ext, versn] = fileparts(songs{i_song});
    fprintf(1,['Transcription of ' name '...'])

    [C,t,silences] = compute_chroma(songs{i_song},-66);
    [path]=transcription(C,mode,K,harmoniques,distance,L,lissage);
        
    path(silences)=24;

        
    if nargin<2
        save_transcription([songs{i_song} '.txt'],t,path);
    else
        save_transcription([dirOutput name ext '.txt'],t,path);
    end

       
   fprintf(1,'Done') 
   fprintf(1,'\n')
end

tcomputation=toc;

fprintf(1,['Completed in ' num2str(tcomputation) 's'])
fprintf(1,'\n')
